local ____lualib = require("lualib_bundle")
local __TS__New = ____lualib.__TS__New
local ____exports = {}
local ____isaac_2Dtypescript_2Ddefinitions = require("isaac-typescript-definitions")
local CacheFlag = ____isaac_2Dtypescript_2Ddefinitions.CacheFlag
local ____tears = require("functions.tears")
local getTearsStat = ____tears.getTearsStat
local ____ReadonlyMap = require("types.ReadonlyMap")
local ReadonlyMap = ____ReadonlyMap.ReadonlyMap
local DEFAULT_MAX_FIRE_DELAY = 10
--- The default fire delay is represented in the tear stat, not the `MaxFireDelay` value.
____exports.DEFAULT_PLAYER_STAT_MAP = __TS__New(
    ReadonlyMap,
    {
        {CacheFlag.DAMAGE, 3.5},
        {
            CacheFlag.FIRE_DELAY,
            getTearsStat(nil, DEFAULT_MAX_FIRE_DELAY)
        },
        {CacheFlag.SHOT_SPEED, 1},
        {CacheFlag.RANGE, 6.5},
        {CacheFlag.SPEED, 1},
        {CacheFlag.LUCK, 0}
    }
)
return ____exports
